
set echo on

CREATE TABLE million_emps
NOLOGGING
AS
   SELECT e1.*
   FROM   emp e1
   ,      emp, emp, emp, emp, emp
   WHERE  ROWNUM <= 1000000;

BEGIN
   data_dump( query_in        => 'SELECT * FROM million_emps',
              file_in         => 'million_emps.dat',
              directory_in    => 'XT_DIR',
              nls_date_fmt_in => 'DD/MM/YYYY' );
END;
/

ALTER TABLE emp_xt LOCATION ('million_emps.dat');

set timing on
set autotrace traceonly statistics

SELECT * FROM million_emps;

SELECT * FROM emp_xt;

set autotrace off
set timing off

