
set echo on

DECLARE

   v_access  VARCHAR2(32767);
   v_replace VARCHAR2(128);
   v_oldfile VARCHAR2(128);
   v_newfile VARCHAR2(128) := 'emp_20020804.log';

BEGIN

   SELECT access_parameters INTO v_access
   FROM   user_external_tables
   WHERE  table_name = 'EMP_XT';

   IF INSTR(v_access,'NOLOGFILE') > 0 THEN
      v_access := REPLACE(
                     v_access, 'NOLOGFILE', 
                     'LOGFILE ''' || v_newfile || ''''
                     );
   ELSE
      v_oldfile := SUBSTR(
                      v_access,
                      INSTR(v_access,'LOGFILE')+8,
                      (INSTR(v_access,'.log')+4)-(INSTR(v_access,'LOGFILE')+7)
                      );
      v_replace := REPLACE(REPLACE(v_oldfile, '"', ''''), '''');
      v_access := REPLACE(v_access, v_replace, v_newfile);
   END IF;

   EXECUTE IMMEDIATE 
      'ALTER TABLE emp_xt ACCESS PARAMETERS (' || v_access || ')';

END;
/

SELECT access_parameters
FROM   user_external_tables
WHERE  table_name = 'EMP_XT';

SELECT COUNT(*) FROM emp_xt;

host dir d:\oracle\dir\emp*

